# nc_password_client

## Requirements

## Installation

### Linux

  ```bash
sudo python3 setup.py install
```

### Windows (from PowerShell untested)

  ```powershell
& $(where.exe python).split()[0] setup.py install
```

## Usage

  ```bash
Usage: nc_password_client.py [OPTIONS] COMMAND [ARGS]...

  Client function to pass context

Options:
  -d, --debug-level [CRITICAL|ERROR|WARNING|INFO|DEBUG|NOTSET]
                                  Set the debug level for the standard output.
  -l, --log-file TEXT             File to store all debug messages.
  -H, --host TEXT                 Nextcloud host name  [required]
  -u, --user TEXT                 Nextcloud user name  [required]
  -a, --api-token TEXT            Nextcloud user's application token
                                  [required]
  -p, --cse-password TEXT         Nextcloud user's end-to-end encryption
                                  password
  -t, --timeout INTEGER           Nextcloud user's end-to-end encryption
                                  password
  -c, --cache-duration INTEGER    Number of seconds to hold the list of
                                  passwords
  -P, --https-proxy TEXT          HTTPS proxy to use to connect to the
                                  Nextcloud instance
  --config FILE                   Read configuration from FILE.
  --help                          Show this message and exit.

Commands:
  create-password          Create a password
  create-passwords-folder  Create a password folder
  delete-all-passwords     Delete all passwords
  delete-password          Delete a password
  delete-passwords-folder  Delete a password folder
  list-passwords-folders   List all password folders
  ls                       List all password
  migrate-pass             Migrate password store passwords to Nextcloud...
  remove-duplicates        Remove duplicate passwords
  show                     Show a single password
```
